Channel Management

Endpoints for managing channels (phone numbers) and their settings

Retrieve list of channels

get

This endpoint allows partners to retrieve the list of owned channels.

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
partner_idstringRequired

The ID of the partner.

Example: examplePA
Query parameters
sortstring · enumOptional

Sort results by channel, client, project, waba_accounte, integration fields

Example: statusPossible values:
offsetintegerOptional

Number of results to skip

Example: 10
limitintegerOptional

Maximum number of results to return

Example: 10
Responses
chevron-right
200

Successful response

application/json
limitintegerOptional

Maximum number of results to return

Example: 10
offsetintegerOptional

Number of results to skip

Example: 0
sortstring[]Optional

Sort results by channel, client, project, integration, waba_account fields

Example: ["created_at","-modified_at"]
totalintegerOptional

Total number of results

Example: 1
countintegerOptional

Number of results returned

Example: 1
get
/api/v2/partners/{partner_id}/channels

Generate API Key for a Specified Channel

post

This endpoint allows partners to create an API key for a specified channel. The created API key can be used to authenticate and access specific services (like messaging or template management) linked to the channel. Rate limits: This endpoint is subject to rate limits. A maximum of 1 request in 30 seconds per channel is allowed. Requests exceeding these limits will receive a 429 Too Many Requests response.

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
channel_idstringRequired

The ID of the channel.

Example: exampleCH
partner_idstringRequired

The ID of the partner.

Example: examplePA
Responses
chevron-right
200

Successful response

application/json
post
/api/v2/partners/{partner_id}/channels/{channel_id}/api_keys

Get List of Blocked Users for a channel

get

This endpoint retrieves the list of users blocked by partner Meta documentation: https://developers.facebook.com/docs/whatsapp/cloud-api/block-users

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
channel_idstringRequired

The ID of the channel.

Example: exampleCH
partner_idstringRequired

The ID of the partner.

Example: examplePA
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
get
/api/v2/partners/{partner_id}/channels/{channel_id}/block_users

Block users for a channel

post

This endpoint allows blocking a list of users by phone number or whatsapp id. Meta documentation: https://developers.facebook.com/docs/whatsapp/cloud-api/block-users

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
channel_idstringRequired

The ID of the channel.

Example: exampleCH
partner_idstringRequired

The ID of the partner.

Example: examplePA
Body
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
post
/api/v2/partners/{partner_id}/channels/{channel_id}/block_users

Unblock users for a channel

delete

This endpoint allows unblocking a list of users by phone number or whatsapp id. Meta documentation: https://developers.facebook.com/docs/whatsapp/cloud-api/block-users

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
channel_idstringRequired

The ID of the channel.

Example: exampleCH
partner_idstringRequired

The ID of the partner.

Example: examplePA
Body
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
delete
/api/v2/partners/{partner_id}/channels/{channel_id}/block_users

Update display name.

put

Update display name of a partner channel.

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Body
namestringRequired

The new display name for the channel.

Example: My New Display Name
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
put
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}

Reactivate a previously cancelled channel.

post

This endpoint works by revoking a previously requested cancellation for a specific channel. Channel should be paid by partner and not completely deleted.

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Responses
chevron-right
200

Successful response

application/json
statusstring · enumOptional

Current status of the channel. Possible values are:

  • created: The channel is created and process for onboarding is started.
  • unverified: The channel is submitted to Meta and waiting for them to verify the display name.
  • verified: The channel display name is verified by Meta.
  • ready: The channel onboarding is completed and can be used for sending and receiving messages.
  • transferred: The channel is transferred to another BSP and 360dialog does not have access to it.
  • modified: [deprecated] When a channel name is updated.
  • imported: [deprecated]
  • new_name_requested: A new display name is requested for the channel and waiting for Meta's approval.
  • certificate_declined: The channel display name is rejected by Meta.
  • consents_signed: [deprecated]
  • error: Channel setup is failed for any reason and channel can not be used for messaging.
  • porting_ready: [deprecated]
  • ready_for_migration: [deprecated] A new channel is created to migrate a phone number from another BSP to 360dialog.
  • waiting_for_migration_code: [deprecated] Channel migration is initiated and next step is requesting a migration code from Meta.
  • migration_code_requested: [deprecated] Channel migration code is requested from Meta.
  • migration_verified: [deprecated] Channel migration is verified.
  • unregistered: [deprecated] [on-prem] On-prem stack health has become unregistered and needs to be re-registered.
  • removed: 360dialog does not have access to the number on Meta.
Example: readyPossible values:
idstringOptional

Channel ID

Example: exampleCH
cancelled_atstring · nullableOptional

Channel cancellation datetime

Example: 2024-08-01T00:00:00Z
client_idstringOptional

Client ID that is the owner of the channel

Example: exampleCL
created_atstringOptional

Channel creation datetime

Example: 2024-08-01T00:00:00Z
current_limitstringOptional

Meta's number current limit, can be NA or from TIER_50 to TIER_UNLIMITED

Example: TIER_1K
current_quality_ratingstringOptional

Meta's number current quality rating, can be NA, Low, Medium or High

Example: Medium
current_quality_update_eventstring · nullableOptional

Meta's Last number quality update event

Example: flagged
is_obabooleanOptional

Indicates if business phone number is an Meta's Official Business Account.

hub_statusstringOptionalDeprecated

[Deprecated] Current hub status of the channel. Use availability_status as the source of truth. Possible values are:

  • live: Number is live and connected and messaging is available.
  • sandbox: [deprecated] Number is available in sandbox environment.
  • done: [deprecated] Same as live.
  • pending: [deprecated] [on-prem] An on-prem stack is being setup.
  • draft: Stack is being setup for the number.
  • pending_deletion: Number will be terminated soon.
  • unregistered: [deprecated] [on-prem] On-prem stack health has become unregistered and needs to be re-registered.
  • unknown: Unknown status. Needs to be checked by support.
Example: live
availability_statusstring · enum · nullableOptional

Current availability status of the channel. This is the unified source of truth for channel availability. Possible values are:

  • setting_up: Channel is being set up
  • ready: Channel is ready and available for messaging
  • error: Channel has an error and is not available for messaging
Example: readyPossible values:
terminated_atstring · nullableOptional

Channel termination datetime

Example: 2024-09-01T00:00:00Z
post
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/control/reactivate

Retrieve whatsapp commerce settings for a specific channel

get

This endpoint allows partners to get whatsapp commerce settings for a specific number. It acts as a proxy for Meta's API to retrieve commerce settings (like catalog visibility and cart enablement). Meta documentation: https://developers.facebook.com/documentation/business-messaging/whatsapp/catalogs/sell-products-and-services/set-commerce-settings/#get-commerce-settings

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Responses
chevron-right
200

Successful response

application/json
get
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/whatsapp_commerce_settings

Update whatsapp commerce settings for a specific channel

post

This endpoint allows partners to update whatsapp commerce settings for a specific number.

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Body
is_cart_enabledbooleanRequired

When true, cart-related buttons appear in the conversation, catalog, and product details views

Example: true
is_catalog_visiblebooleanRequired

When true, the catalog storefront icon and catalog-related buttons appear in conversation and business profile views

Example: true
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
post
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/whatsapp_commerce_settings

Request cancellation for a specific channel

post

The channel will be marked for cancellation and will be deactivated at the end of the month.

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Responses
chevron-right
200

Successful response

application/json
statusstring · enumOptional

Current status of the channel. Possible values are:

  • created: The channel is created and process for onboarding is started.
  • unverified: The channel is submitted to Meta and waiting for them to verify the display name.
  • verified: The channel display name is verified by Meta.
  • ready: The channel onboarding is completed and can be used for sending and receiving messages.
  • transferred: The channel is transferred to another BSP and 360dialog does not have access to it.
  • modified: [deprecated] When a channel name is updated.
  • imported: [deprecated]
  • new_name_requested: A new display name is requested for the channel and waiting for Meta's approval.
  • certificate_declined: The channel display name is rejected by Meta.
  • consents_signed: [deprecated]
  • error: Channel setup is failed for any reason and channel can not be used for messaging.
  • porting_ready: [deprecated]
  • ready_for_migration: [deprecated] A new channel is created to migrate a phone number from another BSP to 360dialog.
  • waiting_for_migration_code: [deprecated] Channel migration is initiated and next step is requesting a migration code from Meta.
  • migration_code_requested: [deprecated] Channel migration code is requested from Meta.
  • migration_verified: [deprecated] Channel migration is verified.
  • unregistered: [deprecated] [on-prem] On-prem stack health has become unregistered and needs to be re-registered.
  • removed: 360dialog does not have access to the number on Meta.
Example: readyPossible values:
idstringOptional

Channel ID

Example: exampleCH
cancelled_atstring · nullableOptional

Channel cancellation datetime

Example: 2024-08-01T00:00:00Z
client_idstringOptional

Client ID that is the owner of the channel

Example: exampleCL
created_atstringOptional

Channel creation datetime

Example: 2024-08-01T00:00:00Z
current_limitstringOptional

Meta's number current limit, can be NA or from TIER_50 to TIER_UNLIMITED

Example: TIER_1K
current_quality_ratingstringOptional

Meta's number current quality rating, can be NA, Low, Medium or High

Example: Medium
current_quality_update_eventstring · nullableOptional

Meta's Last number quality update event

Example: flagged
is_obabooleanOptional

Indicates if business phone number is an Meta's Official Business Account.

hub_statusstringOptionalDeprecated

[Deprecated] Current hub status of the channel. Use availability_status as the source of truth. Possible values are:

  • live: Number is live and connected and messaging is available.
  • sandbox: [deprecated] Number is available in sandbox environment.
  • done: [deprecated] Same as live.
  • pending: [deprecated] [on-prem] An on-prem stack is being setup.
  • draft: Stack is being setup for the number.
  • pending_deletion: Number will be terminated soon.
  • unregistered: [deprecated] [on-prem] On-prem stack health has become unregistered and needs to be re-registered.
  • unknown: Unknown status. Needs to be checked by support.
Example: live
availability_statusstring · enum · nullableOptional

Current availability status of the channel. This is the unified source of truth for channel availability. Possible values are:

  • setting_up: Channel is being set up
  • ready: Channel is ready and available for messaging
  • error: Channel has an error and is not available for messaging
Example: readyPossible values:
terminated_atstring · nullableOptional

Channel termination datetime

Example: 2024-09-01T00:00:00Z
account_modestringOptionalDeprecated

[Deprecated] Can be live or sandbox

Example: live
billing_started_atstring · nullableOptionalDeprecated

[Deprecated]

Example: 2024-01-01T01:00:00Z
is_migratedbooleanOptionalDeprecated

[Internal Field]

has_inboxboolean · nullableOptionalDeprecated

[Internal Field]

Default: null
versionintegerOptionalDeprecated

[Deprecated]

Example: 2
post
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/control/cancellation_request

Enable local storage for a specific channel

post

This endpoint allows partners to enable local storage for a channel. Cloud API Local Storage gives you the option to control where your message data is stored at rest. Meta documentation: https://developers.facebook.com/docs/whatsapp/cloud-api/overview/local-storage/

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Body
data_localization_regionstring · enumRequired

The region for channel to store messaging data on Meta infrastructure

Example: DEPossible values:
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
post
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/control/enable_local_storage

Disable local storage for a specific channel

post

This endpoint allows partners to disable local storage for a channel. Cloud API Local Storage gives you the option to control where your message data is stored at rest. Meta documentation: https://developers.facebook.com/docs/whatsapp/cloud-api/overview/local-storage/

Authorizations
X-API-KeystringRequired

API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method.

Path parameters
client_idstringRequired

The ID of the client.

Example: exampleCL
partner_idstringRequired

The ID of the partner.

Example: examplePA
channel_idstringRequired

The ID of the channel.

Example: exampleCH
Responses
chevron-right
200

Successful response

application/json
status_codeintegerRequiredExample: 200
post
/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/control/disable_local_storage

Last updated

Was this helpful?